import { EventResolver, QAResolverOptions, ResolverInitOptions, ApiInfo, NextCallback, SourceUpdateRsp, GenerateApiConfigTemplateConfig } from '@esydoc/share';
import ApiQACodeGenerator from './ApiQACodeGenerator';
declare function initResolver(opts: ResolverInitOptions<QAResolverOptions>): ApiQACodeResolver;
declare function createCheckPathFn(opts: QAResolverOptions): (configFilePath: string) => boolean;
declare type QaApiConfig = {
    args: Array<any> | Array<any[]>;
    expect: any[];
    deps: string[];
    onDone?: NextCallback;
};
declare type QaApiInfo = ApiInfo<QaApiConfig>;
declare class ApiQACodeResolver extends EventResolver {
    static initResolver: typeof initResolver;
    static createCheckPathFn: typeof createCheckPathFn;
    static validateApiConfig: undefined;
    static defaultDocletTransformConfig: {
        args: {
            key: string;
            reflectKey: string;
            format: (data: any) => any[];
            nodeType: string;
        };
        expect: {
            key: string;
            reflectKey: string;
            format: (data: any) => any;
            nodeType: string;
        };
    };
    templateMap: {
        'hyext-qa-miniapp': string;
    };
    options: QAResolverOptions;
    scheduler: any;
    generator: ApiQACodeGenerator;
    constructor(scheduler: any, options: QAResolverOptions);
    private resolveApi;
    resolveEvent(doclet: any, apiInfo: QaApiInfo): void;
    static templateConfigDefaultValue: {
        args: never[][];
        expect: never[];
        deps: never[];
    };
    outputDocletTransofrmConfig(): {
        args: {
            key: string;
            reflectKey: string;
            format: (data: any) => any[];
            nodeType: string;
        };
        expect: {
            key: string;
            reflectKey: string;
            format: (data: any) => any;
            nodeType: string;
        };
    };
    generateApiConfigTemplate(config: GenerateApiConfigTemplateConfig): any;
    updateSource(templatePath: string): Promise<SourceUpdateRsp>;
}
export default ApiQACodeResolver;
